<?php
  chdir('../../../../');
  require('includes/application_top.php');

  // get data
  $orderref = $_POST["R_ORDERREF"];
  $result =  $_POST["R_AUTHRESULT"];
  $ecode =  $_POST["R_ERRCODE"];
  $merchant_code =  $_POST["R_ID"];
  $sign = $_POST["R_SIGN"];

  // check signature
  $qry = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key='MODULE_PAYMENT_CASHTRONICS_MERCHANT_KEY'");
  $row = tep_db_fetch_array($qry);
  $merchant_key = $row['configuration_value'];
  
  // compute digest            
  $message = $merchant_code.$orderref.$result.$merchant_key;						
  $msign = strtoupper (sha1( $message ));     

  // compare signature
  if ( $msign == $sign )
  {	
	// signature is correct, store result in DB		
	if ( $result == 'ACCEPTED')
	{
	    $order_status_id = (MODULE_PAYMENT_CASHTRONICS_ORDER_STATUS_ACCEPTED > 0 ? (int)MODULE_PAYMENT_CASHTRONICS_ORDER_STATUS_ACCEPTED : (int)DEFAULT_ORDERS_STATUS_ID);
	}
	else
	{
	    $order_status_id = (MODULE_PAYMENT_CASHTRONICS_ORDER_STATUS_REFUSED > 0 ? (int)MODULE_PAYMENT_CASHTRONICS_ORDER_STATUS_REFUSED : (int)DEFAULT_ORDERS_STATUS_ID);
	}

    tep_db_query("update " . TABLE_ORDERS . " set orders_status = '" . $order_status_id . "', last_modified = now() where orders_id = " . $orderref );

    $sql_data_array = array('orders_id' => $orderref,
                            'orders_status_id' => $order_status_id,
                            'date_added' => 'now()',
                            'customer_notified' => '0',
                            'comments' => 'Cashtronics - PAYMENT ' . $result . ' ('.$ecode.')');

    tep_db_perform(TABLE_ORDERS_STATUS_HISTORY, $sql_data_array);
		
  }  
  
require('includes/application_bottom.php');  
?>